MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025316Open CASCADE[OCCT] OCCT:DRAWpublic2014-10-02 12:482014-11-11 12:59
Reporterapl 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025316: Draw viewer commands - display (erase) objects in local selection context
DescriptionVisualization commands are not applicable for testing ::Display and ::Erase methods of AIS_LocalContext. It is proposed to update the commands for checking these methods.

1) "vdisplay" - add new option "-local" with the following function :
Option -local commands to display objects in local selection context. Local selection context will be opened if it there is not any.

2) "vdisplayall" - add new option "-local" with the following function :
Option -local commands to display all objects erased in local selection context.

3) "verase" - add new option "-local" with the following function :
Option -local commands to erase selected or named objects only from a local selection context. Without this option the local selection context will be closed and the objects will be erased from default scene.

4) "veraseall" - add new option "-local" with the following function
Option -local commands to remove objects only from a local selection context. Without this option the local selection contexts will be closed and the objects will be removed from default scene.

5) "vremove" - add new option "-local" with the following function
Option -local commands to remove selected or named objects from a local selection context. Empty local selection context is closed. Without this option the local selection contexts will be closed and the objects will be removed from default scene.

TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0025330closedapl Open CASCADE Test display commands for AIS interactive object in local context 

-  Notes
(0032614)
apl (developer)
2014-10-03 10:19

Dear Sergey,

The described changes are implemented within CR24966. Could you please review them?
(0032800)
san (developer)
2014-10-08 11:55

The patch is included into patch for #24966.
Can you please switch this issue to tested when #24966 is tested?

- Related Changesets
occt: master b6d587e3
Timestamp: 2014-10-02 15:16:48
Author: apl
Committer: bugmaster
Details ] Diff ]
0025316: Draw viewer commands - display (erase) objects in local selection context
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-02 12:48 apl New Issue
2014-10-02 12:48 apl Assigned To => apl
2014-10-02 12:49 apl Relationship added child of 0024966
2014-10-02 12:49 apl Relationship added child of 0024965
2014-10-02 12:50 apl Status new => assigned
2014-10-02 12:50 apl Description Updated View Revisions
2014-10-02 13:33 apl Description Updated View Revisions
2014-10-02 14:49 apl Summary Draw display (erase) objects in local selection context => Draw viewer commands - display (erase) objects in local selection context
2014-10-03 10:19 apl Note Added: 0032614
2014-10-03 10:19 apl Assigned To apl => san
2014-10-03 10:19 apl Status assigned => resolved
2014-10-06 16:25 apl Relationship added related to 0025330
2014-10-08 11:55 san Note Added: 0032800
2014-10-08 11:55 san Assigned To san => bugmaster
2014-10-08 11:55 san Status resolved => feedback
2014-10-09 10:40 bugmaster Status feedback => tested
2014-10-13 17:52 bugmaster Changeset attached => occt master b6d587e3
2014-10-13 17:52 bugmaster Status tested => verified
2014-10-13 17:52 bugmaster Resolution open => fixed
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker